package ui.controller;

import ui.model.Model;

public class AutoSaveController {
	private Model MODEL;
	private int numberOfSaves = 20;
	private int autoSaveNr, tmp = 0;
	public AutoSaveController(Model model) {
		this.MODEL = model;
	}
	
	public void increaseAutoSaveNr(){
		 autoSaveNr = MODEL.getAutoSaveNr()+1;
		 tmp = MODEL.getAutoSaveNr();
		if(autoSaveNr > numberOfSaves){
			autoSaveNr = 0;
		}
		MODEL.setAutoSaveNr(autoSaveNr);
	}
	
	public void decreaseAutoSaveNr() {
		 autoSaveNr = MODEL.getAutoSaveNr()-1;
		if(autoSaveNr < 0){
			autoSaveNr = numberOfSaves;
		}
		MODEL.setAutoSaveNr(autoSaveNr);
	}
	
	public int getAutoSaveNr(){
		return MODEL.getAutoSaveNr();
	}
}
